package org.wso2.carbon.device.mgt.ios.dep.beans;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * This class represents the details of the uploaded server token of Apple DEP. The specific
 * details could be access via getters and setters.
 * The variables in this class are not camel case.
 * Because this class is mapped to a JSON object using Gson and the variable names are mapped as
 * keys for the key value pairs in the JSON object.
 * Therefore to make a valid JSON body for Apple DEP requests the variables are declared as per
 * the documentation of Apple DEP.
 */
public class ServerToken {

    private static final Log log = LogFactory.getLog(ServerToken.class);

    private String consumer_key;
    private String consumer_secret;
    private String access_token;
    private String access_secret;
    private String access_token_expiry;

    public String getConsumerKey() { return consumer_key; }

    public void setConsumerKey(String consumerKey) {
        this.consumer_key = consumerKey;
    }

    public String getConsumerSecret() { return consumer_secret; }

    public void setConsumerSecret(String consumerSecret) {
        this.consumer_secret = consumerSecret;
    }

    public String getAccessToken() { return access_token; }

    public void setAccessToken(String accessToken) {
        this.access_token = accessToken;
    }

    public String getAccessSecret() { return access_secret; }

    public void setAccessSecret(String accessSecret) {
        this.access_secret = accessSecret;
    }

    public String getAccessTokenExpiry() { return access_token_expiry; }

    public void setAccessTokenExpiry(String accessTokenExpiry) {
        this.access_token_expiry = accessTokenExpiry;
    }
}
